diff -Nurp ume-launcher-0.6.31.orig/src/launcher-sidebar.c ume-launcher-0.6.31/src/launcher-sidebar.c
--- ume-launcher-0.6.31.orig/src/launcher-sidebar.c	2009-06-15 10:54:45.000000000 -0300
+++ ume-launcher-0.6.31/src/launcher-sidebar.c	2009-06-15 10:56:51.000000000 -0300
@@ -229,11 +229,11 @@ ensure_layout (LauncherSidebar *bar)
     tidy_frame_set_texture (TIDY_FRAME (scroll), frame);
 
     clutter_container_add_actor (CLUTTER_CONTAINER (priv->clip), scroll);
-    clutter_actor_set_size (scroll, bar_height * (N_CATS-2) -2, 5);
+    clutter_actor_set_size (scroll, bar_height * (N_CATS-2) -2, 10);
     clutter_actor_set_anchor_point_from_gravity (scroll, 
                                                  CLUTTER_GRAVITY_CENTER);
     clutter_actor_set_position (scroll, 
-                                bar_width- 10/2,
+                                bar_width- 10,
                                 ((bar_height*(N_CATS-2))/2) + 2);
     clutter_actor_set_opacity (scroll, 100);
     clutter_actor_set_rotation (scroll, CLUTTER_Z_AXIS, 90, 0, 0, 0);
